Subject: bug#34763: 27.0.50; url-retrieve-synchronously misbehaves inside eldoc-documentation-function

From: Dmitry Gutov <[email-masked]>
Date: Sat, 13 Apr 2019 03:44:57 +0300

On 11.04.2019 19:22, Eli Zaretskii wrote:

> OK, thanks.  But we had some changes discussed in this report not yet
> pushed, right?

I've pushed the removal of "Transfer interrupted" error because that 
also (very fortuitously) helped with another kind of problem I've been 
seeing: random unexpected jumps of point between positions and windows.

Quit handling in url-retrieve-synchronously remains mysterious still. 
I've put some message calls for debugging, and apparently neither of the 
'delete-process' calls is ever reached these days. At least, I never 
managed to create appropriate conditions.

There's also an old double comment above the first delete-process call, 
apparently waiting for a brave soul to sort this out. (Chong's position 
seems sound to me, FWIW).